package com.tsiwebserver.VO;


import java.text.SimpleDateFormat;
import java.util.Date;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class KafkaStatusVO {
	private String clctDt;
	private long producer;
	private long consumer;
	private long performance;
	
	public void init() {
		SimpleDateFormat fmtDate = new SimpleDateFormat("yyyy-MM-dd hh:mm:ss");
		this.clctDt = fmtDate.format(new Date());
		this.producer = 0;
		this.consumer = 0;
		this.performance = 0;
	}
}
